# studio::Widget_Time Class Reference

`#include <widget_time.h>`

List of all members.

## Public Member Functions

sigc::signal< void > & | signal_value_changed ()
void | set_value (const synfig::Time &data)
synfig::Time | get_value () const
void | set_fps (float x)
| Widget_Time ()
| ~Widget_Time ()

## Protected Member Functions

bool | on_focus_out_event (GdkEventFocus *event)
bool | on_focus_in_event (GdkEventFocus *event)
void | refresh_text ()
void | refresh_value ()
bool | on_event (GdkEvent *event)

## Constructor & Destructor Documentation

Widget_Time::Widget_Time | ( |  | ) |

References refresh_text(), and refresh_value().

Widget_Time::~Widget_Time | ( |  | ) |

## Member Function Documentation

bool Widget_Time::on_focus_out_event | ( | GdkEventFocus * | event | ) | `[protected]`

References refresh_text(), and refresh_value().

bool Widget_Time::on_focus_in_event | ( | GdkEventFocus * | event | ) | `[protected]`

References studio::App::get_time_format().

void Widget_Time::refresh_text | ( |  | ) | `[protected]`

References studio::App::get_time_format().

Referenced by on_event(), on_focus_out_event(), refresh_value(), set_fps(), set_value(), and Widget_Time().

void Widget_Time::refresh_value | ( |  | ) | `[protected]`

References refresh_text(), and signal_value_changed().

Referenced by on_focus_out_event(), and Widget_Time().

bool Widget_Time::on_event | ( | GdkEvent * | event | ) | `[protected]`

References refresh_text(), and signal_value_changed().

sigc::signal<void>& studio::Widget_Time::signal_value_changed | ( |  | ) | `[inline]`

Referenced by on_event(), and refresh_value().

void Widget_Time::set_value | ( | const synfig::Time & | data | ) |

References refresh_text().

Referenced by studio::Dialog_SoundSelect::Dialog_SoundSelect(), studio::Widget_RendDesc::refresh(), studio::Dialog_Setup::refresh(), studio::Dialog_PreviewOptions::set_begintime(), studio::Dialog_PreviewOptions::set_endtime(), studio::Dialog_SoundSelect::set_offset(), studio::Widget_ValueBase::set_value(), studio::Widget_Waypoint::set_waypoint(), and studio::CellRenderer_Time::start_editing_vfunc().

synfig::Time Widget_Time::get_value | ( |  | ) | const

Referenced by studio::Dialog_PreviewOptions::get_begintime(), studio::Dialog_PreviewOptions::get_endtime(), studio::Dialog_SoundSelect::get_offset(), studio::Widget_ValueBase::get_value(), and studio::Widget_Waypoint::get_waypoint().

void Widget_Time::set_fps | ( | float | x | ) |

References refresh_text().

Referenced by studio::Widget_RendDesc::refresh(), studio::Widget_Waypoint::set_canvas(), studio::Dialog_SoundSelect::set_global_fps(), studio::Dialog_PreviewOptions::set_global_fps(), studio::Widget_ValueBase::set_value(), studio::Widget_Waypoint::set_waypoint(), studio::CellRenderer_Time::start_editing_vfunc(), and studio::Widget_Waypoint::Widget_Waypoint().

The documentation for this class was generated from the following files:

- widget_time.h
- widget_time.cpp